View Issue Details

IDProjectCategoryLast Update
0020777AI War 2[All Projects] Bug - GameplayDec 5, 2018 5:57 pm
ReporterStarKeepAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.806 Sabre Company 
Fixed in Version0.808 Custom Stacks 
Summary0020777: Carrier Starships Stop Spawning Drones on Death
DescriptionUpon dying (and than being rebuilt), Carrier Starships no longer produce drones.

(What is it with these starships and being lazy. First it was the drones fearing death, now the drones are on strike after one defeat. Die for my glory already.)
TagsNo tags attached.
Internal WeightNew

Activities

Mckloshiv

Nov 12, 2018 10:05 pm

reporter   ~0050474

I'm not absolutely certain this is the case. For me, my carrier starships do continue building drones, although they never build enough to reach the strength cap. I have 4 mk4 carrier starships, each should support up to 12 strength in drones. (quick math implies that's 48 strength, each squad is worth 0.05 strength, making 960 total drones). Instead, the carriers build up enough to have a grand total of 12 squads on the planet (not per-carrier, but in total.) At times I have 6 each of bomber and V-wing drones, sometimes I have 7 bombers 5 V-wings, etc. etc. The save I'm including is a bit rough, but if you select control group 1, you will be sent to planet Fortnoi, where I have a cap of mk4 carrier starships. You can send them into enemy territory and watch the results as they never allow more than 12 squads of drones on the planet at a time. (As a side note, for some reason they refuse to store drones, and automatically deploy them on friendly planets). Also, the stats might be a bit weird on different things if you look at them(most notably the Ark), and that's because I am testing RocketAssitedPuffin's Ark balancing (and a few smaller things he's put in there too). I hope this is still a usable save, despite you guys probably not having those same changes.

Carrier Bug.zip (117,453 bytes)

wm46

Nov 14, 2018 1:32 am

reporter   ~0050478

Also, it seems its not just for player controlled Carrier Starships, AI controlled carrier starships also refuse to build drones after the first few that spawn at the start of the game die.

BadgerBadger

Dec 5, 2018 5:57 pm

manager   ~0050582

Should be fixed now

Issue History

Date Modified Username Field Change
Nov 12, 2018 1:04 am StarKeep New Issue
Nov 12, 2018 10:05 pm Mckloshiv File Added: Carrier Bug.zip
Nov 12, 2018 10:05 pm Mckloshiv Note Added: 0050474
Nov 14, 2018 1:32 am wm46 Note Added: 0050478
Nov 14, 2018 10:05 am Dune Assigned To => x4000Bughunter
Nov 14, 2018 10:05 am Dune Status new => assigned
Dec 5, 2018 5:57 pm BadgerBadger Status assigned => resolved
Dec 5, 2018 5:57 pm BadgerBadger Resolution open => fixed
Dec 5, 2018 5:57 pm BadgerBadger Fixed in Version => 0.808 Custom Stacks
Dec 5, 2018 5:57 pm BadgerBadger Internal Weight => New
Dec 5, 2018 5:57 pm BadgerBadger Note Added: 0050582